upstream docker-carts {
    server buka-carts:3001;
}

upstream docker-commands {
    server buka-commands:3002;
}

upstream docker-deliveries {
    server buka-deliveries:3003;
}

upstream docker-foods {
    server buka-foods:3004;
}

upstream docker-logger {
    server buka-logger:3005;
}

upstream docker-payments {
    server buka-payments:3006;
}

upstream docker-restaurants {
    server buka-restaurants:3007;
}

upstream docker-users {
    server buka-users:3008;
}

server {

    listen 80;

    location /carts/ {
        proxy_pass http://docker-carts/;
    }

    location /commands/ {
        proxy_pass http://docker-commands/;
    }

    location /deliveries/ {
        proxy_pass http://docker-deliveries/;
    }

    location /foods/ {
        proxy_pass http://docker-foods/;
    }

    location /logger/ {
        proxy_pass http://docker-logger/;
    }

    location /payments/ {
        proxy_pass http://docker-payments/;
    }

    location /restaurants/ {
        proxy_pass http://docker-restaurants/;
    }

    location /users/ {
        proxy_pass http://docker-users/;
    }

}